Debian Bug report logs - #708551
lintian: checks for pkg-php-tools release goal

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Mathieu Parent <math.parent@gmail.com>

Date: Thu, 16 May 2013 16:18:02 UTC

Severity: wishlist

Tags: patch

Found in version lintian/2.5.12

Fixed in version lintian/2.5.15

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-php-pear@lists.alioth.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Thu, 16 May 2013 16:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
New Bug report received and forwarded. Copy sent to pkg-php-pear@lists.alioth.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>. (Thu, 16 May 2013 16:18:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: checks for pkg-php-tools release goal
Date: Thu, 16 May 2013 18:15:37 +0200
[Message part 1 (text/plain, inline)]
Package: lintian
Version: 2.5.12
Severity: wishlist
Tags: patch
X-Debbugs-CC: pkg-php-pear@lists.alioth.debian.org

Hello maintainers,

I will soon propose a release goal for jessie. It is described here:
https://wiki.debian.org/ReleaseGoals/pkg-php-tools

The attached patches recommends for pkg-php-tools usage when there is
a package.xml (or package2.xml or channel.xml) and warn on common
mistakes.

This has been tested against the 108 php-horde* packages.

Can you review and commit?

Thanks

--
Mathieu

PS: TODO-list:
- check for "--buildsystem=phppear" and "--with phppear" usage
- check for builddep when using roles (currently, only php-horde-role
is shipping a role, so this is low priority)
[0001-Initial-phppear-check.patch (application/octet-stream, attachment)]
[0002-phppear-Check-for-channel.xml.patch (application/octet-stream, attachment)]
[0003-phppear-Check-for-binary-dependencies.patch (application/octet-stream, attachment)]
[0004-phppear-Some-comments.patch (application/octet-stream, attachment)]
[0005-phppear-Check-pkg-php-tools-version-for-specific-fea.patch (application/octet-stream, attachment)]
[0006-phppear-PECL-support-requires-version-1.4.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Fri, 17 May 2013 13:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Fri, 17 May 2013 13:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 708551@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 708551@bugs.debian.org
Subject: Updated TODO list
Date: Fri, 17 May 2013 15:21:37 +0200
- check for "--buildsystem=phppear" and "--with phppear" usage
- check for php5-dev builddep when using PECL
- package2.xml requires a newer pkg-php-tools version (also TODO on this side)
- check for ${phppear:summary} and ${phppear:description} in Description

low priority:
- check for builddep when using roles (currently, only php-horde-role
is shipping a role)

Patches welcome



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Mon, 27 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 27 May 2013 11:03:07 GMT) Full text and rfc822 format available.

Message #15 received at 708551@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 708551@bugs.debian.org
Subject: Re: Updated TODO list
Date: Mon, 27 May 2013 12:59:02 +0200
[Message part 1 (text/plain, inline)]
Hi,

Attached are the updated patches.

Remaining todo:
- check for "--buildsystem=phppear" and "--with phppear" usage
- check for php5-dev builddep when using PECL
- check for ${phppear:summary} and ${phppear:description} in Description

low priority:
- check for builddep when using roles (currently, only php-horde-role
is shipping a role)

Regards

--
Mathieu
[0001-Initial-phppear-check.patch (application/octet-stream, attachment)]
[0002-phppear-Check-for-channel.xml.patch (application/octet-stream, attachment)]
[0003-phppear-Check-for-binary-dependencies.patch (application/octet-stream, attachment)]
[0004-pkg-php-tools-overrides-requires-1.patch (application/octet-stream, attachment)]
[0005-PEAR-channels-support-requires-pkg-php-tools-1.3.patch (application/octet-stream, attachment)]
[0006-package2.xml-requires-pkg-php-tools-1.4.patch (application/octet-stream, attachment)]
[0007-PECL-support-requires-pkg-php-tools-1.5.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Mon, 24 Jun 2013 15:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 24 Jun 2013 15:03:04 GMT) Full text and rfc822 format available.

Message #20 received at 708551@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: 708551@bugs.debian.org
Cc: Debian Lintian Maintainers <lintian-maint@debian.org>
Subject: New version of the patches for checks for pkg-php-tools release goal
Date: Mon, 24 Jun 2013 17:00:02 +0200
[Message part 1 (text/plain, inline)]
Hi,

Here are the updated patches (using .pm extension for checks).

The remaining todo is not as important, so please merge the current patches.

Regards

--
Mathieu Parent
[0001-Initial-phppear-check.patch (application/octet-stream, attachment)]
[0002-phppear-Check-for-channel.xml.patch (application/octet-stream, attachment)]
[0003-phppear-Check-for-binary-dependencies.patch (application/octet-stream, attachment)]
[0004-pkg-php-tools-overrides-requires-1.patch (application/octet-stream, attachment)]
[0005-PEAR-channels-support-requires-pkg-php-tools-1.3.patch (application/octet-stream, attachment)]
[0006-package2.xml-requires-pkg-php-tools-1.4.patch (application/octet-stream, attachment)]
[0007-PECL-support-requires-pkg-php-tools-1.5.patch (application/octet-stream, attachment)]
[0008-Test-for-composer-package.patch (application/octet-stream, attachment)]
[0009-Prefer-package.xml-over-composer.json.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Tue, 25 Jun 2013 21:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 25 Jun 2013 21:09:05 GMT) Full text and rfc822 format available.

Message #25 received at 708551@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mathieu Parent <math.parent@gmail.com>, 708551@bugs.debian.org
Subject: Re: Bug#708551: Updated TODO list
Date: Tue, 25 Jun 2013 23:06:39 +0200
On 2013-05-27 12:59, Mathieu Parent wrote:
> Hi,
> 
> Attached are the updated patches.
> 
> Remaining todo:
> - check for "--buildsystem=phppear" and "--with phppear" usage
> - check for php5-dev builddep when using PECL
> - check for ${phppear:summary} and ${phppear:description} in Description
> 
> low priority:
> - check for builddep when using roles (currently, only php-horde-role
> is shipping a role)
> 
> Regards
> 
> --
> Mathieu
> 

Hi,

Thanks for the patches and the interest.  A couple of comments:

 * 0003 adds a tag that isn't used in that patch.  It is used in a later
   patch, so (for me) the question is whether it was supposed to have
   been in 0004 or if there is a bug in 0003.

 * 0007 opens a file without open succeeds (missing "use autodie;") and
   does not close the handle when it is done with it.

Beyond that, it looks like it is just mising some tests.

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Tue, 09 Jul 2013 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Tue, 09 Jul 2013 13:48:04 GMT) Full text and rfc822 format available.

Message #30 received at 708551@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Niels Thykier <niels@thykier.net>
Cc: 708551@bugs.debian.org
Subject: Re: Bug#708551: Updated TODO list
Date: Tue, 9 Jul 2013 15:45:13 +0200
[Message part 1 (text/plain, inline)]
2013/6/25 Niels Thykier <niels@thykier.net>:
[...]
> Thanks for the patches and the interest.  A couple of comments:

Thanks for reviewing.

>  * 0003 adds a tag that isn't used in that patch.  It is used in a later
>    patch, so (for me) the question is whether it was supposed to have
>    been in 0004
it is. Fixed

> or if there is a bug in 0003.


>  * 0007 opens a file without open succeeds (missing "use autodie;") and
>    does not close the handle when it is done with it.

Corrected.

>
> Beyond that, it looks like it is just mising some tests.
Done (this also have shown some bugs).

Attached are the updated patches.

Regards
--
Mathieu Parent
[0001-Initial-phppear-check.patch (application/octet-stream, attachment)]
[0002-phppear-Check-for-channel.xml.patch (application/octet-stream, attachment)]
[0003-phppear-Check-for-binary-dependencies.patch (application/octet-stream, attachment)]
[0004-pkg-php-tools-overrides-requires-1.patch (application/octet-stream, attachment)]
[0005-PEAR-channels-support-requires-pkg-php-tools-1.3.patch (application/octet-stream, attachment)]
[0006-package2.xml-requires-pkg-php-tools-1.4.patch (application/octet-stream, attachment)]
[0007-PECL-support-requires-pkg-php-tools-1.5.patch (application/octet-stream, attachment)]
[0008-Test-for-composer-package.patch (application/octet-stream, attachment)]
[0009-Prefer-package.xml-over-composer.json.patch (application/octet-stream, attachment)]
[0010-Doc-Use-recommended-way-to-override-dh-programs.patch (application/octet-stream, attachment)]
[0011-Add-the-missing-return-found-by-testsuite.patch (application/octet-stream, attachment)]
[0012-Limit-profile-to-80-chars.patch (application/octet-stream, attachment)]
[0013-Fix-check-on-builddeps-for-PEAR-channel-or-Comoser-p.patch (application/octet-stream, attachment)]
[0014-Add-semicolon-at-end-of-lines.patch (application/octet-stream, attachment)]
[0015-Testsuite-for-phppear.patch (application/octet-stream, attachment)]

Added tag(s) pending. Request was from Niels Thykier <niels@thykier.net> to control@bugs.debian.org. (Tue, 09 Jul 2013 21:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Wed, 10 Jul 2013 08:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 10 Jul 2013 08:54:05 GMT) Full text and rfc822 format available.

Message #37 received at 708551@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Niels Thykier <niels@thykier.net>, 708551@bugs.debian.org
Subject: Fwd: Bug#708551: Updated TODO list
Date: Wed, 10 Jul 2013 10:52:14 +0200
[Message part 1 (text/plain, inline)]
(re-sending,as it is not on b.d.o)

2013/6/25 Niels Thykier <niels@thykier.net>:
[...]
> Thanks for the patches and the interest.  A couple of comments:

Thanks for reviewing.

>  * 0003 adds a tag that isn't used in that patch.  It is used in a later
>    patch, so (for me) the question is whether it was supposed to have
>    been in 0004
it is. Fixed

> or if there is a bug in 0003.


>  * 0007 opens a file without open succeeds (missing "use autodie;") and
>    does not close the handle when it is done with it.

Corrected.

>
> Beyond that, it looks like it is just mising some tests.
Done (this also have shown some bugs).

Attached are the updated patches.

Regards
--
Mathieu Parent


--
Mathieu
[0001-Initial-phppear-check.patch (application/octet-stream, attachment)]
[0002-phppear-Check-for-channel.xml.patch (application/octet-stream, attachment)]
[0003-phppear-Check-for-binary-dependencies.patch (application/octet-stream, attachment)]
[0004-pkg-php-tools-overrides-requires-1.patch (application/octet-stream, attachment)]
[0005-PEAR-channels-support-requires-pkg-php-tools-1.3.patch (application/octet-stream, attachment)]
[0006-package2.xml-requires-pkg-php-tools-1.4.patch (application/octet-stream, attachment)]
[0007-PECL-support-requires-pkg-php-tools-1.5.patch (application/octet-stream, attachment)]
[0008-Test-for-composer-package.patch (application/octet-stream, attachment)]
[0009-Prefer-package.xml-over-composer.json.patch (application/octet-stream, attachment)]
[0010-Doc-Use-recommended-way-to-override-dh-programs.patch (application/octet-stream, attachment)]
[0011-Add-the-missing-return-found-by-testsuite.patch (application/octet-stream, attachment)]
[0012-Limit-profile-to-80-chars.patch (application/octet-stream, attachment)]
[0013-Fix-check-on-builddeps-for-PEAR-channel-or-Comoser-p.patch (application/octet-stream, attachment)]
[0014-Add-semicolon-at-end-of-lines.patch (application/octet-stream, attachment)]
[0015-Testsuite-for-phppear.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Wed, 10 Jul 2013 10:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 10 Jul 2013 10:39:05 GMT) Full text and rfc822 format available.

Message #42 received at 708551@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 708551@bugs.debian.org
Subject: Re: Fwd: Bug#708551: Updated TODO list
Date: Wed, 10 Jul 2013 12:36:59 +0200
On 2013-07-10 10:52, Mathieu Parent wrote:
> (re-sending,as it is not on b.d.o)
> 
> [...]


Actually, it is on bugs.d.o - but it never reached the maintainer list
(possibly the mail size is over the limit for what lists.d.o will accept).

In other news, the patches have been merged into master branch and will
be part of the 2.5.15 release. :)

~Niels





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Wed, 10 Jul 2013 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 10 Jul 2013 12:33:04 GMT) Full text and rfc822 format available.

Message #47 received at 708551@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Niels Thykier <niels@thykier.net>
Cc: 708551@bugs.debian.org
Subject: Re: Fwd: Bug#708551: Updated TODO list
Date: Wed, 10 Jul 2013 14:29:51 +0200
2013/7/10 Niels Thykier <niels@thykier.net>:
> On 2013-07-10 10:52, Mathieu Parent wrote:
>> (re-sending,as it is not on b.d.o)
>>
>> [...]
>
>
> Actually, it is on bugs.d.o - but it never reached the maintainer list
> (possibly the mail size is over the limit for what lists.d.o will accept).

Seen after sending it.

> In other news, the patches have been merged into master branch and will
> be part of the 2.5.15 release. :)

Great, but it seems that you didn't merge the latest patches.

Regards
--
Mathieu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Wed, 10 Jul 2013 12:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 10 Jul 2013 12:45:04 GMT) Full text and rfc822 format available.

Message #52 received at 708551@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 708551@bugs.debian.org
Subject: Re: Fwd: Bug#708551: Updated TODO list
Date: Wed, 10 Jul 2013 14:40:35 +0200
On 2013-07-10 14:29, Mathieu Parent wrote:
> 2013/7/10 Niels Thykier <niels@thykier.net>:
>> [...]
>> In other news, the patches have been merged into master branch and will
>> be part of the 2.5.15 release. :)
> 
> Great, but it seems that you didn't merge the latest patches.
> 
> Regards
> --
> Mathieu
> 

I merged the 15 patches in [1], though with some rebasing and some
whitespace fixes (e.g. 4-space instead 2-space indentation).  Where
there any patch(es) beyond those 15?

~Niels

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=708551#30





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Wed, 17 Jul 2013 09:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <math.parent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Wed, 17 Jul 2013 09:33:04 GMT) Full text and rfc822 format available.

Message #57 received at 708551@bugs.debian.org (full text, mbox):

From: Mathieu Parent <math.parent@gmail.com>
To: Niels Thykier <niels@thykier.net>
Cc: 708551@bugs.debian.org
Subject: Re: Fwd: Bug#708551: Updated TODO list
Date: Wed, 17 Jul 2013 11:31:26 +0200
[Message part 1 (text/plain, inline)]
2013/7/10 Niels Thykier <niels@thykier.net>:
> On 2013-07-10 14:29, Mathieu Parent wrote:
>> 2013/7/10 Niels Thykier <niels@thykier.net>:
>>> [...]
>>> In other news, the patches have been merged into master branch and will
>>> be part of the 2.5.15 release. :)
>>
>> Great, but it seems that you didn't merge the latest patches.
>>
>> Regards
>> --
>> Mathieu
>>
>
> I merged the 15 patches in [1], though with some rebasing and some
> whitespace fixes (e.g. 4-space instead 2-space indentation).

Okay.

> Where there any patch(es) beyond those 15?

No. But now there are new ones. See attached pacthes.

Note that the latest add a lintian build-dep, needed for the tests.

Regards
--
Mathieu Parent
[0001-Check-for-missing-bdeps-on-PECL-packages.patch (application/octet-stream, attachment)]
[0002-Check-for-phppear-description-and-phppear-summary.patch (application/octet-stream, attachment)]
[0003-Only-check-package2.xml-and-PECL-if-pkg-php-tools-is.patch (application/octet-stream, attachment)]
[0004-Check-for-debian-rules-for-PHP-packages.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Lintian Maintainers <lintian-maint@debian.org>:
Bug#708551; Package lintian. (Mon, 22 Jul 2013 08:48:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Lintian Maintainers <lintian-maint@debian.org>. (Mon, 22 Jul 2013 08:48:09 GMT) Full text and rfc822 format available.

Message #62 received at 708551@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Mathieu Parent <math.parent@gmail.com>
Cc: 708551@bugs.debian.org
Subject: Re: Fwd: Bug#708551: Updated TODO list
Date: Mon, 22 Jul 2013 10:41:55 +0200
On 2013-07-17 11:31, Mathieu Parent wrote:
> [...]
>>
>> I merged the 15 patches in [1], though with some rebasing and some
>> whitespace fixes (e.g. 4-space instead 2-space indentation).
> 
> Okay.
> 
>> Where there any patch(es) beyond those 15?
> 
> No. But now there are new ones. See attached pacthes.
> 
> Note that the latest add a lintian build-dep, needed for the tests.
> 
> Regards
> --
> Mathieu Parent
> 

Ah, missed those - they have been merged now.

~Niels





Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Mon, 22 Jul 2013 21:36:28 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Parent <math.parent@gmail.com>:
Bug acknowledged by developer. (Mon, 22 Jul 2013 21:36:28 GMT) Full text and rfc822 format available.

Message #67 received at 708551-close@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: 708551-close@bugs.debian.org
Subject: Bug#708551: fixed in lintian 2.5.15
Date: Mon, 22 Jul 2013 21:33:40 +0000
Source: lintian
Source-Version: 2.5.15

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708551@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Niels Thykier <niels@thykier.net> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 22 Jul 2013 22:53:25 +0200
Source: lintian
Binary: lintian
Architecture: source all
Version: 2.5.15
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Niels Thykier <niels@thykier.net>
Description: 
 lintian    - Debian package checker
Closes: 700502 701177 704197 707534 707906 708367 708551 710919 712607 712641 712932 713884 714191 714437
Changes: 
 lintian (2.5.15) unstable; urgency=low
 .
   "use less qw(memory);"
 .
   * Summary of tag changes:
     + Added:
       - composer-package-without-pkg-php-tools-builddep
       - init-script-is-not-a-file
       - init.d-script-does-not-source-init-functions
       - maintainer-script-calls-systemctl
       - manpage-named-after-build-path
       - missing-pkg-php-tools-addon
       - missing-pkg-php-tools-buildsystem
       - pear-channel-without-pkg-php-tools-builddep
       - pear-package-but-missing-dependency
       - pear-package-feature-requires-newer-pkg-php-tools
       - pear-package-not-using-substvar
       - pear-package-without-pkg-php-tools-builddep
       - pecl-package-requires-build-dependency
       - service-file-is-not-a-file
       - systemd-no-service-for-init-script
       - systemd-service-file-outside-lib
       - systemd-service-file-refers-to-obsolete-target
       - systemd-tmpfiles.d-outside-usr-lib
 .
   * checks/*.pm:
     + [NT] Add final return to all subs in checks and ensure
       that the "run" sub complies with Lintian's own
       recommendation.
   * checks/binary.pm:
     + [NT] Apply patch from Bastien Roucariès to fix false-
       negatives for debug files in usr/lib/debug/.build-id.
       (Closes: #714191)
     + [NT] Apply patch from Bastien Roucariès to fix false-
       positive debug-file-with-no-debug-symbols for files
       using compressed debug sections.
   * checks/fields.pm:
     + [NT] Apply patch from Niko Tyni to fix false-positive
       package-superseded-by-perl for packages with epochs.
       (Closes: #710919)
   * checks/files.pm:
     + [NT] Fix some false-negative extra-license-file.
       Thanks to Helmut Grohne for the report and the advices.
       (Closes: #701177)
   * checks/manpages.{desc,pm}:
     + [NT] Apply patch from Bastien Roucariès to test for
       manpages named after their build path.
       (Closes: #713884)
     + [NT] Skip some checks on empty manpages.
       (Closes: #700502)
   * checks/phppear.{desc,pm}:
     + [NT] New check based on patches from Mathieu Parent.
       (Closes: #708551)
   * checks/source-copyright.pm:
     + [NT] Some tags now refer to the line number of the field
       with an issue instead of the line number of the paragraph.
   * checks/systemd.{desc,pm}:
     + [NT] New check for systemd related files.  Thanks to
       Michael Stapelberg for providing the check and the
       tests.  (Closes: #704197)
 .
   * collection/copyright-file:
     + [NT] Avoid creating an empty copyright file when it is
       not needed.
   * collection/unpacked:
     + [NT] Skip signature checking of source packages.
       (Closes: #707534)
 .
   * data/binary/embedded-libs:
     + [NT] Rename libgd2 to libgd.  (Closes: #708367)
   * data/fields/virtual-packages:
     + [NT] Refresh.  Thanks to Laurent Bigonville for the
       reminder.  (Closes: #712641)
   * data/files/{fonts,locale-codes}:
     + [NT] Refresh.
   * data/menu-format/add-categories:
     + [NT] Apply patch from Bastien Roucariès to include newer
       categories.  Thanks to Yves-Alexis Perez for the report.
       (Closes: #712932)
   * data/output/manual-references:
     + [NT] Refresh.
   * data/scripts/interpreters:
     + [NT] Apply patch from Bastien Roucariès to include gjs.
       Thanks to Andreas Henriksson for the report.
       (Closes: #712607)
 .
   * debian/control:
     + [NT] Add Build-Depends on pkg-php-tools for a new test.
   * debian/dirs:
     + [NT] Remove /var/lib/lintian, we no longer use it.
   * debian/docs:
     + [NT] Add auto-generated API documentation.
   * debian/lintian.examples:
     + [NT] New file to install examples.  (Closes: #707906)
   * debian/rules:
     + [NT] Generate API documentation during build.
     + [NT] Call dh_installexamples.
 .
   * doc/examples/*:
     + [NT] New example files.
   * doc/lintian.xml:
     + [NT] Add small example vendor profile to the user
       manual.
 .
   * frontend/lintian:
     + [NT] Add information about memory usage with -ddd if
       Devel::Size is available.  A more detailed breakdown
       of the memory usage with -dddd.
 .
   * lib/Lintian/Collect/Package.pm:
     + [NT] Share some string values in the file_info and in
       the (X_)index methods.  This reduces memory usage a bit.
   * lib/Lintian/Collect/Source.pm:
     + [NT] "binaries" and "binary_field" now only exposes data
       about entries in d/control with a valid package name.
     + [NT] Document that "binaries" return an unorderd list.
     + [NT] relation and relation_noarch now recognises
       "Build-Depends-Arch".
   * lib/Lintian/Path.pm:
     + [NT] Fix bug in the overloaded qr// operator.
   * lib/Lintian/ProcessablePool.pm:
     + [NT] Fix a bug that could cause .changes files to be
       silently skipped.  This only occured if a related package
       was passed on the command line before the .changes file.
       Thanks to Salvo Tomaselli for reporting the bug.
       (Closes: #714437)
   * lib/Lintian/Relation.pm:
     + [NT] Apply some memory optimisations to some common cases.
   * lib/Lintian/Tags.pm:
     + [NT] Use croak instead of die when a check emits an
       unknown tag.  This gives the check writer a better chance
       of finding where the problem occured.
   * lib/Lintian/Util.pm:
     + [NT] Have parse_dpkg_control and visit_dpkg_control
       give a more detailed line number information about
       paragraphs.
 .
   * reporting/harness:
     + [NT] Clear some variables before running Lintian in the
       hope it will reduce the memory pressure on "long runs".
     + [NT] Remove support for "$LINTIAN_GPG_CHECK" config
       variable.  Lintian no longer checks any signatures.
Checksums-Sha1: 
 e287a6c3f71ffb151170b925d831aa360713a02a 2573 lintian_2.5.15.dsc
 a1cced0033a98ffa348904ad0167b5134a22d7ab 1244089 lintian_2.5.15.tar.gz
 b4481d88cde6dc77eb1622451606a6fb9284577b 853838 lintian_2.5.15_all.deb
Checksums-Sha256: 
 dbd26cb1a540189585bb7e8099bdb992059a634427755ff034a1d67703d9179b 2573 lintian_2.5.15.dsc
 56718df28df44e74f255457d6bcc26133e669de7e74d2ab582884bd03f6c3159 1244089 lintian_2.5.15.tar.gz
 6e7a2c6fcb6d562f24f065de257462ad96db658033ab7d8285153cf550ed2477 853838 lintian_2.5.15_all.deb
Files: 
 d55eff6b4298cda9788a04da4c11e59e 2573 devel optional lintian_2.5.15.dsc
 fa5189c93322387403d555237e952a1d 1244089 devel optional lintian_2.5.15.tar.gz
 0c968de4cbf2d910ad5987d6e7a58fc3 853838 devel optional lintian_2.5.15_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR7aQGAAoJEAVLu599gGRC4yMP/i2du8G9LgWuETMt15GDaBjg
B6fy1h4flZ9UIufshA8VHLVpimn+Kv2TQ2IKHDL3uoAu/cOCCwu+bXWeICzT4elU
ZLT7y0r54MPAzY8WluKdPfka1cgXdRlqUmfvYJFesiF4crTbmW3lJhVg+/pYKPal
fYpFygp3HHfVCNDdqAcuDVChXrxwYVCatXED5EL0p1+uFOLHK8cCzdnLYX6hVZeN
raXRGv4g4U+HsJzQ62/0jPGvnrnexQom/tdkHkcUfMnly4QjqbAoqoKTtOt3DJf8
WJ7Q9tQyGH3Fb9AO4Y6D1tCnmeDt7D9lVEhz3evBsztPtPbbDCG7Xvvgg5BIH3l5
8cqlrULGtd2Cc04QNF3rMf3/axmI58J+qryJKmuGwcYZ3vdjd1puetl6qOCnHgc3
1Avs5BObXuk86bI7EKOD+r9LyYhTAkAgku4v0fHbSIjkpJB5otNeke5MIv/hK1JD
SggpROPJld4vVCKsxKe3UeKXjondapMutLLxXVQvQojGpg/uZqai7dHre23DSGy2
1rt5OJ5ROwRLnoFkk+CvwMz1jF6a8JBR3bm4VEVkg2gmc3lgK5yM+6OLO4A/9nvq
hPS0w4cpJd/AxDMD8Pgvp0vnwIxCDXp11S17OgkVK9dt7xDZ71PWpoPMltuwa0aM
IJk2GL9xWL0Zz00dD9Hu
=RqOv
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 30 Aug 2013 07:34:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:53:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.